clock

A function that can be used in Formulas.

## Syntax and semantics

`clock` ( )
  the number of seconds since system start-up, with microsecond precision.

## Examples

`t = clock()
` `for i to 1000
` `endfor
` `appendInfoLine: "Time elapsed: ", clock() - t, " seconds"
` `=>`
`Time elapsed: 0.00020958296954631805 seconds
` `t = clock()
` `for i to 1000
` `endfor
` `timeElapsed = clock() - t
` `appendInfoLine: "Time elapsed: ", fixed$ (1000 * timeElapsed, 3), " ms"
` `=>`
`Time elapsed: 0.206 ms
`

### Links to this page

- Functions
- What's new?